'***************** (c) 2008 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : LED
'BOARD    : ZL16AVR (with ATmega88 in socket U1)
'COMPILER : BASCOM AVR (v.1.11.9.1)
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Simple LEDs demonstration.
'
'    Settings and connections on ZL16AVR:
'        PD0 (con18) - LED0 (con9)
'        PD1 (con18) - LED1 (con9)
'        ...
'        PD7 (con18) - LED7 (con9)
'
'******************************************************************************

$regfile = "m88def.dat"
$crystal = 16000000                                         '16 MHz - turn on external resonator (fuse bits)
'$baud = 1200
$hwstack = 64
$swstack = 64
$framesize = 64

Config Portd = Output

Do
  Portd = &B10101010
  Waitms 250
  Portd = &B01010101
  Waitms 250
Loop

End