'***************** (c) 2008 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : LED2
'BOARD    : ZL16AVR (with ATmega88 in socket U1)
'COMPILER : BASCOM AVR (v.1.11.9.1)
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Simple 7-segment LED display demonstration.
'
'    Settings and connections on ZL16AVR:
'
'******************************************************************************

$regfile = "m88def.dat"
$crystal = 16000000                                         '16 MHz - turn on external resonator (fuse bits)
$hwstack = 64
$swstack = 64
$framesize = 64

Dim Displaycounter As Byte
Dim Digit1 As Byte
Dim Digit2 As Byte
Dim Digit3 As Byte
Dim Digit4 As Byte

Config Timer0 = Timer , Prescale = 256
On Timer0 Sevensegmentdisplay

Enable Interrupts
Enable Timer0


Portb = 255
Portd = 255

Config Portb = Output
Config Portd = Output

Digit1 = Lookup(0 , Digits)
Digit2 = Lookup(3 , Digits)
Digit3 = Lookup(2 , Digits)
Digit4 = Lookup(1 , Digits)

Do : Loop : End

' Timer0 overflow handler
Sevensegmentdisplay:

Incr Displaycounter

Select Case Displaycounter
   Case 1 :
      Portd = Digit1
      Set Portb.3
      Reset Portb.0
   Case 2 :
      Portd = Digit2
      Set Portb.0
      Reset Portb.1
   Case 3 :
      Portd = Digit3
      Set Portb.1
      Reset Portb.2
   Case 4 :
      Portd = Digit4
      Set Portb.2
      Reset Portb.3
      Displaycounter = 0
End Select

Return

Digits:
Data 192 , 249 , 164 , 176 , 153 , 146 , 130 , 248 , 128 , 144 , 136 , 131 , 198 , 161 , 134 , 142